using System;
using System.Data;
using System.Data.SqlClient;

namespace DisconnectedOpsIIDemo
{
	public class DataAdapterUtility
	{
		public static void LoadCustomers(DataSet ds)
		{	
			SqlConnection conn = 
				new SqlConnection("server=(local);" +
				"database=Northwind;integrated security=true;");
			conn.Open();

			SqlCommand cmdSelect = 
				new SqlCommand("SELECT CustomerID, " +
				" CompanyName,ContactName, ContactTitle, " +
				" Address, City, Region, PostalCode, " +
				" Country, Phone, Fax " +
				" FROM Customers");
			cmdSelect.Connection = conn;
			SqlDataAdapter daCusts = 
				new SqlDataAdapter();
			daCusts.SelectCommand = cmdSelect;
		
			daCusts.Fill(ds,"Customers");
		
		}

		public static void LoadOrders(DataSet ds)
		{	
			SqlConnection conn = 
				new SqlConnection("server=(local);" + 
				"database=Northwind;integrated security=true;");
			conn.Open();

			SqlCommand cmdSelect = 
				new SqlCommand("SELECT OrderID, CustomerID, " + 
				"EmployeeID, OrderDate, RequiredDate, " + 
				"ShippedDate, ShipVia, Freight," + 
				"ShipName, ShipAddress, ShipCity, " +
				"ShipRegion, ShipPostalCode, " +
				"ShipCountry FROM Orders");
			cmdSelect.Connection = conn;
			SqlDataAdapter daCusts = new SqlDataAdapter();
			daCusts.SelectCommand = cmdSelect;
		
			daCusts.Fill(ds,"Orders");
		
		}

		public static void LinkCustOrders(DataSet ds)
		{
			DataRelation dr = 
				new DataRelation("CustOrders",
				ds.Tables["Customers"].Columns["CustomerID"],
				ds.Tables["Orders"].Columns["CustomerID"],
				true);
			dr.Nested = true;
			ds.Relations.Add(dr);
				
		}
	}
}
