using System;
using System.Drawing;
using System.Collections;
using System.ComponentModel;
using System.Windows.Forms;


namespace DisconnectedOpsIIDemo
{
	/// <summary>
	/// Summary description for TypedDataSet.
	/// </summary>
	public class TypedDataSet : System.Windows.Forms.Form
	{
		[STAThread]
		static void Main(string[] args)
		{
			Application.Run(new TypedDataSet());
		}


		private CustOrders TCustDS;
		private System.Windows.Forms.ListBox listBox1;
		private System.Windows.Forms.DataGrid dataGrid1;
	
		/// <summary>
		/// Required designer variable.
		/// </summary>
		private System.ComponentModel.Container components = null;

		public TypedDataSet()
		{
			//
			// Required for Windows Form Designer support
			//
			InitializeComponent();

			//
			// TODO: Add any constructor code after 
			// InitializeComponent call
			//
		}

		/// <summary>
		/// Clean up any resources being used.
		/// </summary>
		protected override void Dispose( bool disposing )
		{
			if( disposing )
			{
				if(components != null)
				{
					components.Dispose();
				}
			}
			base.Dispose( disposing );
		}

		#region Windows Form Designer generated code
		/// <summary>
		/// Required method for Designer support - do not modify
		/// the contents of this method with the code editor.
		/// </summary>
		private void InitializeComponent()
		{
			this.listBox1 = 
				new System.Windows.Forms.ListBox();
			this.dataGrid1 = 
				new System.Windows.Forms.DataGrid();
			((System.ComponentModel.ISupportInitialize)
				(this.dataGrid1)).BeginInit();
			this.SuspendLayout();
			// 
			// listBox1
			// 
			this.listBox1.Location = 
				new System.Drawing.Point(8, 176);
			this.listBox1.Name = "listBox1";
			this.listBox1.Size = 
				new System.Drawing.Size(496, 160);
			this.listBox1.TabIndex = 0;
			// 
			// dataGrid1
			// 
			this.dataGrid1.DataMember = "";
			this.dataGrid1.HeaderForeColor = System.Drawing.SystemColors.ControlText;
			this.dataGrid1.Location = 
				new System.Drawing.Point(8, 8);
			this.dataGrid1.Name = "dataGrid1";
			this.dataGrid1.Size = 
				new System.Drawing.Size(496, 160);
			this.dataGrid1.TabIndex = 1;
			// 
			// TypedDataSet
			// 
			this.AutoScaleBaseSize = 
				new System.Drawing.Size(5, 13);
			this.ClientSize = 
				new System.Drawing.Size(512, 349);
			this.Controls.AddRange(
				new System.Windows.Forms.Control[] {
					   this.dataGrid1,
					   this.listBox1});
			this.Name = "TypedDataSet";
			this.Text = "TypedDataSet";
			this.Load += 
				new 
				System.EventHandler(this.TypedDataSet_Load);
			((System.ComponentModel.ISupportInitialize)
				(this.dataGrid1)).EndInit();
			this.ResumeLayout(false);

		}
		#endregion

		

		private void TypedDataSet_Load(object sender, 
			System.EventArgs e)
		{
			// load the typed DataSet and bind it to 
			// a DataGrid control
			TCustDS = new CustOrders();
			DataAdapterUtility.LoadCustomers(TCustDS);
			DataAdapterUtility.LoadOrders(TCustDS);
			dataGrid1.DataSource = TCustDS.Customers;
			

			// add a customer
			CustOrders.CustomersRow newCustRow = 
				TCustDS.Customers.AddCustomersRow(
				"ACME", "Acme Corp", "Dale Michalk",
				"No Title", "100 Main Street", 
				"Utopia", "NY", "12345", "US",
				"555 555 5555","666 666 6666");
            
			// add an order
			TCustDS.Orders.AddOrdersRow(newCustRow,
				1, DateTime.Now, DateTime.Now,
				DateTime.Now, 1, 100.00M, 
				"Airborne", "100 Main Street",
				"Utopia", "NY", "12345", "US");

			// navigate through the typed DataSet
			foreach (CustOrders.CustomersRow custRow 
						 in TCustDS.Customers.Rows)
			{
				listBox1.Items.Add(
					"Customer: " + custRow.ContactName);

				CustOrders.OrdersRow[] orderRows = 
					custRow.GetOrdersRows();
				
				int orderCount = orderRows.Length;
				for (int index = 0; index < orderCount; index++) 
				{
					listBox1.Items.Add(
						"\tOrder:" + orderRows[index].OrderID + 
						" Date:" + orderRows[index].OrderDate);
				}
			}
			

		}
	}
}
